de.caff.generics.algorithm

## Class FastSequentialSearch

- java.lang.Object
- - de.caff.generics.algorithm.FastSequentialSearch

- Deprecated.
  use `FastIntSequenceSearch` instead

      @Deprecated
      public class FastSequentialSearch
      extends java.lang.Object

  Fast search algorithm in sequences of random-accessible integers.

  Currently only forward search is implemented.

  Although based on integers this may also be used for searches in byte or character sequences.

  Since:
    July 07, 2020
  Author:
    Rammi

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FastSequentialSearch(IntIndexable searchTerm)` Deprecated. Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `IntIndexable` | `findAllMatches(IntIndexable data, boolean allowOverlaps)` Deprecated.
    `int` | `findFirst(IntIndexable data)` Deprecated. Find the first appearance of the search term in the given data.
    `int` | `findNext(IntIndexable data, int pos)` Deprecated. Find the next appearance of the search term after the given position in the given data.
    `int` | `findNext(IntIndexable data, int pos, int end)` Deprecated. Find the next appearance of the search term after the given start position and before the given end position in the given data.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FastSequentialSearch

          public FastSequentialSearch(@NotNull
                                      IntIndexable searchTerm)

      Deprecated.
      Constructor.
      Parameters:
        `searchTerm` - term to search for

  - ### Method Detail

    - #### findFirst

          public int findFirst(@NotNull
                               IntIndexable data)

      Deprecated.
      Find the first appearance of the search term in the given data.
      Parameters:
        `data` - data to search through
      Returns:
        index of first appearance of the search term in the given data, or `-1` if there was nothing found

    - #### findNext

          public int findNext(@NotNull
                              IntIndexable data,
                              int pos)

      Deprecated.
      Find the next appearance of the search term after the given position in the given data.
      Parameters:
        `data` - data to search through
        `pos` - position to start the search
      Returns:
        position of next appearance of the search term in the given data after the given position, or `-1` if there was nothing found between the position and the end of data

    - #### findNext

          public int findNext(@NotNull
                              IntIndexable data,
                              int pos,
                              int end)

      Deprecated.
      Find the next appearance of the search term after the given start position and before the given end position in the given data.
      Parameters:
        `data` - data to search through
        `pos` - position to start the search
        `end` - position to end the search, the whole search term has to fit before this position to be found
      Returns:
        position of next appearance of the search term in the given data after the given start position and before the given end position, or `-1` if there was nothing found between the position and the end of data

    - #### findAllMatches

          @NotNull
          public IntIndexable findAllMatches(@NotNull
                                                      IntIndexable data,
                                                      boolean allowOverlaps)

      Deprecated.